#
# spec file for package innotop
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           innotop
Version:        1.13.0
Release:        1.15
Summary:        A MySQL and InnoDB monitor program
License:        GPL-2.0-only
Group:          Productivity/Databases/Tools
URL:            https://github.com/innotop/innotop/
Source0:        https://github.com/innotop/innotop/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  perl(DBD::mysql)
BuildRequires:  perl(DBI)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Term::ReadKey)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Simple)
BuildRequires:  perl(Time::HiRes)
Requires:       perl(DBD::mysql)
Requires:       perl(DBI)
Requires:       perl(File::Basename)
Requires:       perl(File::Temp)
Requires:       perl(Getopt::Long)
Requires:       perl(List::Util)
Requires:       perl(Term::ReadKey)
Requires:       perl(Time::HiRes)
BuildArch:      noarch
%if 0%{?suse_version} < 1140
Requires:       perl = %{perl_version}
%else
%{perl_requires}
%endif

%description
Innotop is a powerful "top" clone for MySQL. It connects to a MySQL database server
and retrieves information from it, then displays it in a manner similar to the UNIX
top program. Innotop uses the data from SHOW VARIABLES, SHOW GLOBAL STATUS, SHOW FULL
PROCESSLIST, and SHOW ENGINE INNODB STATUS, among other things.

%prep
%setup -q

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%check
%make_build test

%files
%license COPYING LICENSE
%doc Changelog
%{_bindir}/innotop
%{_mandir}/man1/innotop.1%{?ext_man}

%changelog
* Sat May 15 2021 Andreas Stieger <andreas.stieger@gmx.de>
- innotop 1.13.0:
  * UI tweaks
  * Fix Perl strict error
  * Fix version detection for MariaDB
  * Add fix for Maria-verion and MySQL 8
  * Support MySQL 8.0 MariaDB 10.3
  * Add options for SSL usage
* Sun Mar 26 2017 astieger@suse.com
- innotop 1.11.4:
  * add SUM function for ONLY_FULL_GROUP_BY
  * Undisplay handlersocket's threads in hide_inactive
  * fix runtime error regarding redundant sprintf argument
  * add sort on connection-name in display M, after sql/io running,
    seconds behind master and channel_name
  * fix bug that removed value for cxn and channel_name columns in
    display M
  * added sort on replication delay, so that the
    replication-display will sort on slave_sql_running, timelag
    (in minutes) and channel_name.
* Thu Jan 19 2017 astieger@suse.com
- update to 1.11.1:
  * MySQL 5.7 support
  * MariaDB 10.1 support
  * Add support for replication channels
  * Add command line option 'askpass' for noecho password
  * Add prompt for password when -p/--password given without an
    argument
* Fri Jul 12 2013 andreas.stieger@gmx.de
- update to 1.9.1
  * Support of MySQL 5.6 was broken on some pages
  * Deadlock clearing transactions is now not included in binary log
- bring spec file to openSUSE standards
* Tue Sep 11 2012 lenz@grimmer.com
- Update to 1.9.0
- Updated URL and source location
- Adjusted build requirements and file list
- Updated License and Group tag to make rpmlint happy
* Tue Aug 28 2007 poeml@suse.de
- fix perl Requires
- remove useless build requires
* Tue Aug 28 2007 poeml@suse.de
- import from
  http://fedora.kiewel-online.de/linux/updates/7/SRPMS/innotop-1.4.3-2.fc7.src.rpm
